Upgrading from older versions

From Alpine Linux
Revision as of 00:59, 29 October 2012 by Dubiousjim (talk | contribs) (Create page with some content from "Upgrading Alpine - v1.9.x")
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search
Note: You will need to restart any services that have been upgraded to begin using the upgraded versions. If the kernel is upgraded, you will need to reboot to begin using the upgraded version.

Upgrading from 2.1 to Alpine Linux 2.2 and later

Since apk tool has been significantly changed first make sure you have upgraded apk-tools package to latest version available in 2.1 repositories:

apk update --update-cache apk add --upgrade apk-tools

Change repositories:

Contents of /etc/apk/repositories

http://nl.alpinelinux.org/alpine/v2.2/main # or any other mirror

Proceed with update and upgrade. The --available switch is used to force all packages to be upgraded, even if they have the same version number, due to changes in uClibc:

apk update --update-cache apk upgrade --available --update-cache

Reboot the system to load new kernel

sync reboot


Upgrading from 2.0 or 1.10.x to Alpine Linux 2.2 and later

Since apk tool has been significantly changed you need to download and install manually the latest version of apk-tools-static package.
And we install busybox-static just in case something goes wrong.

If current version is 1.10.x remove GNU Wget before attempting an upgrade:

apk del wget

Download busybox-static package:

wget http://nl.alpinelinux.org/alpine/v2.2/main/x86/busybox-static-1.18.4-r2.apk apk add busybox-static-1.18.4-r2.apk --update-cache

Download latest apk-tools package and install it:

wget http://nl.alpinelinux.org/alpine/v2.2/main/x86/apk-tools-static-2.1.0-r1.apk apk add apk-tools-static-2.1.0-r1.apk --update-cache

Change repositories:

Contents of vi /etc/apk/repositories

http://nl.alpinelinux.org/alpine/v2.2/main # or any other mirror

Proceed with update and upgrade. The --available switch is used to force all packages to be upgraded, even if they have the same version number, due to changes in uClibc:

apk.static update --update-cache apk.static upgrade --available --update-cache

Reboot the system to load new kernel

sync reboot